﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using pwt0x01ng.Models.Database;

namespace pwt_0x01_ng
{
    public class Program
    {
        public static void Main(string[] args)
        {
			IWebHost webHost = CreateWebHostBuilder(args).Build();

			using (var scope = webHost.Services.CreateScope())
			{
				var serviceProvider = scope.ServiceProvider;
				var dbctx = serviceProvider.GetRequiredService<DBContext>();
				DBInit.Init(dbctx);
			}

			webHost.Run();
        }

        public static IWebHostBuilder CreateWebHostBuilder(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
                .UseStartup<Startup>();
    }
}
